commit: d9cf3242c00219b20eea18297b76e18334b5d9de
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 21:50:57 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 19:09:06 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9cf3242
distutils-r1.eclass: Ban no-op default phase implementations in EAPI 6
eclass/distutils-r1.eclass | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index f9cff5c..47b09b0 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -343,7 +343,7 @@ distutils-r1_python_prepare_all() {
distutils-r1_python_prepare() {
debug-print-function ${FUNCNAME} "${@}"
- :
+ [[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI 6 (it was a
no-op)"
}
# @FUNCTION: distutils-r1_python_configure
@@ -352,7 +352,7 @@ distutils-r1_python_prepare() {
distutils-r1_python_configure() {
debug-print-function ${FUNCNAME} "${@}"
- :
+ [[ ${EAPI} == [45] ]] || die "${FUNCNAME} is banned in EAPI 6 (it was a
no-op)"
}
# @FUNCTION: _distutils-r1_create_setup_cfg